Naughty Pinching Mannequins
Miss any of our Open RFC calls?Watch the recordings here! »

is-website-vulnerable

1.6.1 • Public • Published

is-website-vulnerable

finds publicly known security vulnerabilities in a website's frontend JavaScript libraries

npm version license downloads build codecov Known Vulnerabilities Responsible Disclosure Policy

Screenshot of npm module called is website vulnerable that detects security vulnerabilities in websites based on Snyk database

Many thanks to for supporting open source security

About

Finds publicly known security vulnerabilities in a website's frontend JavaScript libraries

Usage

Using Node.js's npx to run a one-off scan of a website:

npx is-website-vulnerable https://example.com [--json]

Install

You can install globally via:

npm install -g is-website-vulnerable

Contributing

Please consult CONTRIBUTING for guidelines on contributing to this project.

Author

is-website-vulnerable © Liran Tal, Released under the Apache-2.0 License.

Install

npm i [email protected]

Version

1.6.1

License

Apache-2.0

Unpacked Size

830 kB

Total Files

32

Last publish

Collaborators

  • avatar
  • avatar